%global debug_package %{nil}

Summary:        C++ wrappers for SIMD intrinsics
Name:           xsimd
Version:        10.0.0
Release:        3%{?dist}
License:        BSD
URL:            https://xsimd.readthedocs.io/
Source0:        https://github.com/xtensor-stack/xsimd/archive/%{version}/%{name}-%{version}.tar.gz

BuildRequires:  cmake gcc-c++
BuildRequires:  doctest-devel

%description
SIMD (Single Instruction, Multiple Data) is a feature of microprocessors that
has been available for many years. SIMD instructions perform a single operation
on a batch of values at once, and thus provide a way to significantly accelerate
code execution. However, these instructions differ between microprocessor vendors
and compilers. 
xsimd provides a unified means for using these features for library authors. 
Namely, it enables manipulation of batches of numbers with the same arithmetic 
operators as for single values. It also provides accelerated implementation 
of common mathematical functions operating on batches. 


%package devel
Summary:        C++ wrappers for SIMD intrinsics
Provides:       %{name} = %{version}-%{release}
Provides:       %{name}-static = %{version}-%{release}

%description devel
SIMD (Single Instruction, Multiple Data) is a feature of microprocessors that
has been available for many years. SIMD instructions perform a single operation
on a batch of values at once, and thus provide a way to significantly accelerate
code execution. However, these instructions differ between microprocessor vendors
and compilers. 
xsimd provides a unified means for using these features for library authors. 
Namely, it enables manipulation of batches of numbers with the same arithmetic 
operators as for single values. It also provides accelerated implementation 
of common mathematical functions operating on batches. 


%prep
%autosetup -p1

%build
%cmake -DBUILD_TESTS=ON
%cmake_build

%install
%cmake_install

%check
%ifnarch ppc64le
%cmake_build -- xtest
%endif

%files devel
%license LICENSE
%doc README.md
%{_includedir}/%{name}/
%{_libdir}/cmake/%{name}/
%{_libdir}/pkgconfig/%{name}.pc

%changelog
* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 10.0.0-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 10.0.0-2
- Rebuilt for OpenCloudOS Stream 23

* Fri Dec 16 2022 Miaojun Dong <zoedong@tencent.com> - 10.0.0-1
- initial build
